## pyeapi 0.6.1

=== Makefile ===
#!/usr/bin/make
# WARN: gmake syntax
########################################################
# Makefile for pyeapi
#
# useful targets:
#	make sdist -- build python source distribution
#	make pep8 -- pep8 checks
#	make pyflakes -- pyflakes checks
#	make flake8 -- flake8 checks
#	make check -- manifest checks
#	make tests -- run all of the tests
#	make unittest -- runs the unit tests
#	make systest -- runs the system tests
#	make clean -- clean distutils
#
########################################################
# variable section

NAME = "pyeapi"

PYTHON=python
COVERAGE=coverage
SITELIB = $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

VERSION := $(shell cat VERSION)

########################################################

all: clean check pep8 flake8 tests

pep8:
	-pep8 -r --ignore=E402,E731,E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E225,E261,E241 pyeapi/ test/

pyflakes:
	pyflakes pyeapi/ test/

flake8:
	flake8 --ignore=E302,E303,E402,E731,W391 --exit-zero pyeapi/
	flake8 --ignore=E302,E303,E402,E731,W391,N802 --max-line-length=100 test/

check:
	check-manifest

clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	rm -rf MANIFEST
	rm -rf *.egg-info
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up doc builds"
	rm -rf docs/_build
	rm -rf docs/api_modules
	rm -rf docs/client_modules

sdist: clean
	$(PYTHON) setup.py sdist

tests: unittest systest

unittest: clean
	$(COVERAGE) run -m unittest discover test/unit -v

systest: clean
	$(COVERAGE) run -m unittest discover test/system -v

coverage_report:
	$(COVERAGE) report -m

=== debian/changelog ===
pyeapi (0.6.1-2) unstable; urgency=medium

  * Explicitely depends on python3-sphinx-rtd-theme. Closes: #830385.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Jul 2016 12:42:22 +0200

pyeapi (0.6.1-1) unstable; urgency=low

  * Initial release (closes: #826267)

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Jun 2016 18:43:26 +0000

## pyeapi 0.7.0

=== debian/changelog ===
pyeapi (0.7.0-2) unstable; urgency=medium

  * d/control: Build-Depends on a recent-enough version of sphinx to get
    sphinx.ext.napoleon. Closes: #855885.

 -- Vincent Bernat <bernat@debian.org>  Thu, 23 Feb 2017 07:12:17 +0100

pyeapi (0.7.0-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: fix test case when random is a valid VLAN. Closes: #838828.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Sep 2016 17:42:47 +0200

=== debian/control ===
Source: pyeapi
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all,
               python-netaddr,
               python-setuptools,
               python-mock,
               python3-all,
               python3-netaddr,
               python3-setuptools,
               python3-sphinx (>= 1.3), python3-sphinx-rtd-theme,
               python3-mock,
Standards-Version: 3.9.8
Homepage: https://github.com/arista-eosplus/pyeapi
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyeapi.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyeapi.git

Package: python-pyeapi
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
XB-Python-Egg-Name: pyeapi
Description: Python API to interact with EOS network devices - Python 2.x
 The Python Client for eAPI (pyeapi) is a native Python library
 wrapper around Arista EOS eAPI.  It provides a set of Python language
 bindings for configuring Arista EOS nodes. It can be used either on a
 local node (running EOS) or on a remote node.
 .
 This library also provides an API layer for building native Python
 objects to interact with the destination nodes. The API layer is a
 convenient implementation for working with the EOS configuration and
 is extensible for developing custom implementations. For example, it
 allows one to list VLAN or configure a BGP session.
 .
 This package contains the Python 2.x module.

Package: python3-pyeapi
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: pyeapi
Description: Python API to interact with EOS network devices - Python 3.x
 The Python Client for eAPI (pyeapi) is a native Python library
 wrapper around Arista EOS eAPI.  It provides a set of Python language
 bindings for configuring Arista EOS nodes. It can be used either on a
 local node (running EOS) or on a remote node.
 .
 This library also provides an API layer for building native Python
 objects to interact with the destination nodes. The API layer is a
 convenient implementation for working with the EOS configuration and
 is extensible for developing custom implementations. For example, it
 allows one to list VLAN or configure a BGP session.
 .
 This package contains the Python 3.x module.

Package: python-pyeapi-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python API to interact with EOS network devices - docs
 The Python Client for eAPI (pyeapi) is a native Python library
 wrapper around Arista EOS eAPI.  It provides a set of Python language
 bindings for configuring Arista EOS nodes. It can be used either on a
 local node (running EOS) or on a remote node.
 .
 This library also provides an API layer for building native Python
 objects to interact with the destination nodes. The API layer is a
 convenient implementation for working with the EOS configuration and
 is extensible for developing custom implementations. For example, it
 allows one to list VLAN or configure a BGP session.
 .
 This package contains the documentation.

## pyeapi 0.8.1

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 #	make unittest -- runs the unit tests
 #	make systest -- runs the system tests
 #	make clean -- clean distutils
+#	make coverage_report -- code coverage report
 #
 ########################################################
 # variable section
@@ -67,4 +68,4 @@
 	$(COVERAGE) run -m unittest discover test/system -v
 
 coverage_report:
-	$(COVERAGE) report -m
+	$(COVERAGE) report --rcfile=".coveragerc"

=== debian/changelog ===
pyeapi (0.8.1-1) unstable; urgency=medium

  * New upstream version.
  * Refresh patches after git-dpm to gbp pq conversion.
  * d/control: bump Standards-Version.
  * d/control: remove special priority for doc package.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Nov 2017 20:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-sphinx (>= 1.3), python3-sphinx-rtd-theme,
                python3-mock,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/arista-eosplus/pyeapi
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyeapi.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyeapi.git
@@ -61,7 +61,6 @@
 Package: python-pyeapi-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Python API to interact with EOS network devices - docs
  The Python Client for eAPI (pyeapi) is a native Python library

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyeapi
export PYBUILD_TEST_ARGS=test/unit
%:
	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy= https_proxy= \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees

=== debian/watch ===
# try also https://pypi.debian.net/pyeapi/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyeapi/pyeapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyeapi 0.8.4

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 all: clean check pep8 flake8 tests
 
 pep8:
-	-pep8 -r --ignore=E402,E731,E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E225,E261,E241 pyeapi/ test/
+	pycodestyle -r --ignore=E402,E731,E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E225,E261,E241 pyeapi/ test/
 
 pyflakes:
 	pyflakes pyeapi/ test/

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
APIDIR   	    = api_modules
CLIENTDIR     = client_modules
CWD						:= $(shell pwd)

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf $(CLIENTDIR)/*
	rm -rf $(APIDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

modules:
	python $(CWD)/generate_modules.py

docs: clean modules html

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PythonClientforeAPI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PythonClientforeAPI.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PythonClientforeAPI"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PythonClientforeAPI"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pyeapi (0.8.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
  * Patch: Python 3.10 support. (Closes: #1001367)

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Mar 2022 15:50:16 -0400

pyeapi (0.8.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937424).
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0.

 -- Ondřej Nový <onovy@debian.org>  Thu, 12 Sep 2019 15:33:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,41 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
-               python-all,
-               python-netaddr,
-               python-setuptools,
-               python-mock,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all,
                python3-netaddr,
                python3-setuptools,
                python3-sphinx (>= 1.3), python3-sphinx-rtd-theme,
                python3-mock,
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Homepage: https://github.com/arista-eosplus/pyeapi
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pyeapi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pyeapi.git
-
-Package: python-pyeapi
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-Recommends: ${python:Recommends}
-Suggests: ${python:Suggests}
-XB-Python-Egg-Name: pyeapi
-Description: Python API to interact with EOS network devices - Python 2.x
- The Python Client for eAPI (pyeapi) is a native Python library
- wrapper around Arista EOS eAPI.  It provides a set of Python language
- bindings for configuring Arista EOS nodes. It can be used either on a
- local node (running EOS) or on a remote node.
- .
- This library also provides an API layer for building native Python
- objects to interact with the destination nodes. The API layer is a
- convenient implementation for working with the EOS configuration and
- is extensible for developing custom implementations. For example, it
- allows one to list VLAN or configure a BGP session.
- .
- This package contains the Python 2.x module.
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyeapi.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyeapi
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-pyeapi
 Architecture: all

## pyeapi 1.0.2

=== Makefile ===
--- 
+++ 
@@ -31,14 +31,14 @@
 all: clean check pep8 flake8 tests
 
 pep8:
-	pycodestyle -r --ignore=E402,E731,E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E225,E261,E241 pyeapi/ test/
+	pycodestyle -r --ignore=E402,E731,E501,E221,W291,W391,E302,E251,E203,W293,E231,E303,E201,E202,E225,E261,E241,E128 pyeapi/ test/
 
 pyflakes:
 	pyflakes pyeapi/ test/
 
 flake8:
-	flake8 --ignore=E302,E303,E402,E731,W391 --exit-zero pyeapi/
-	flake8 --ignore=E302,E303,E402,E731,W391,N802 --max-line-length=100 test/
+	flake8 --ignore=E128,E201,E202,E302,E303,E402,E731,W391 --exit-zero pyeapi/
+	flake8 --ignore=E128,E201,E202,E302,E303,E402,E731,W391,N802 --max-line-length=100 test/
 
 check:
 	check-manifest

=== docs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 BUILDDIR      = _build
 APIDIR   	    = api_modules
 CLIENTDIR     = client_modules
-CWD						:= $(shell pwd)
+CWD						:= '$(shell pwd)'
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)

=== debian/changelog ===
pyeapi (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 00:39:53 +0100

pyeapi (1.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-sphinx.

  [ Andreas Tille ]
  * Real team maintenance in DPT (with permission in
    https://lists.debian.org/debian-python/2024/02/msg00072.html)
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update lintian override info format in d/python-pyeapi-doc.lintian-overrides
    on line 2.
  * watch file standard 4 (routine-update)
  * Add upstream metadata
  * Replace imp by importlib
    Closes: #1058138

 -- Andreas Tille <tille@debian.org>  Wed, 28 Feb 2024 10:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: pyeapi
 Section: python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Vincent Bernat <bernat@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-netaddr,
                python3-setuptools,
-               python3-sphinx (>= 1.3), python3-sphinx-rtd-theme,
-               python3-mock,
-Standards-Version: 4.4.1
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+Standards-Version: 4.6.2
 Homepage: https://github.com/arista-eosplus/pyeapi
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyeapi.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyeapi
 Testsuite: autopkgtest-pkg-python
@@ -39,6 +41,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Python API to interact with EOS network devices - docs
  The Python Client for eAPI (pyeapi) is a native Python library
  wrapper around Arista EOS eAPI.  It provides a set of Python language

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyeapi
export PYBUILD_TEST_ARGS=test/unit
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy= https_proxy= \
	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees

=== debian/watch ===
# try also https://pypi.debian.net/pyeapi/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyeapi/pyeapi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
